Description: I want to rate a question only if another question has been answered correctly. Is it possible? Thank you

History
02/25/2020 11:12 am - Frédéric Bréal
 You have to install the version 1.4 (not sure the command is defined with 1.3) then use setglobal.xxx, see documentation "Scoring strategy".
For me, it's pretty hard but i'll attempt an minimal  working example  if i have time.

02/25/2020 11:59 am - Marcos Bujosa
Thank you!

02/25/2020 10:19 pm - Frédéric Bréal
a first exemple to be improve.
<pre>
\documentclass[a4paper]{article}

\usepackage[utf8x]{inputenc}    
\usepackage[T1]{fontenc}

\usepackage[francais,bloc,completemulti]{automultiplechoice}    
\usepackage{mhchem}
\begin{document}

\onecopy{10}{    

%%% debut de l'en-tête des copies :    

\noindent{\bf QCM  \hfill TEST}

\vspace*{.5cm}
\begin{minipage}{.4\linewidth}
\centering\large\bf Test\\ Examen du 01/01/2008\end{minipage}
\champnom{\fbox{    
                \begin{minipage}{.5\linewidth}
                  Nom et prénom :

                  \vspace*{.5cm}\dotfill
                  \vspace*{1mm}
                \end{minipage}
         }}

\vspace{1ex}

%%% fin de l'en-tête

\begin{questionmult}{ion}\AMCnoCompleteMulti\bareme{MAX=0,b=0,m=0}
Sélectionnez un ion

  \begin{reponses}[o]
    \mauvaise{\ce{Cu^{2+}}}\bareme{setglobal.ion=2}
    \mauvaise{\ce{C$\ell$-}}\bareme{setglobal.ion=1}
  \end{reponses}
\end{questionmult}

\begin{questionmult}{ion-electron}\AMCnoCompleteMulti
Combien d'électrons a-t-il gagné ou perdu ?
\bareme{formula=(ion == 2 && gain == 2  || ion == 1 && gain == 1 ? 1 :0),MAX=1}

  \begin{reponses}[o]
    \bonne{+ 2}
    \bonne{- 2}\bareme{set.gain=2}
    \bonne{- 1}
    \bonne{+ 1}\bareme{set.gain=1}
  \end{reponses}
\end{questionmult}

% \AMCaddpagesto{3} 

}   

\end{document}
</pre>

02/26/2020 02:59 pm - Marcos Bujosa
Thank you again!

02/26/2020 09:35 pm - Alexis Bienvenüe
- Tracker changed from Bug to Support

02/26/2020 09:36 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
